<div align="center">
  <img src="./docs/logo.png" />
  <br />
  <br />
  <a href="#about"><strong>Explore the docs »</strong></a>
  <br />
  <br />
  <a href="https://github.com/Roche/the-ambassador/issues/new?assignees=&labels=bug&template=01_BUG_REPORT.md&title=bug%3A+">Report a Bug</a>
  ·
  <a href="https://github.com/Roche/the-ambassador/issues/new?assignees=&labels=enhancement&template=02_FEATURE_REQUEST.md&title=feat%3A+">Request a Feature</a>
  ·
  <a href="https://github.com/Roche/the-ambassador/discussions">Ask a Question</a>
</div>

<div align="center">
<br />

[![CI](https://img.shields.io/github/workflow/status/Roche/the-ambassador/CI/master?style=flat-square)](https://github.com/Roche/the-ambassador/actions/workflows/ci.yml)
[![quality gate](https://sonarcloud.io/api/project_badges/measure?project=Roche_the-ambassador&metric=alert_status&style=flat-square)](https://sonarcloud.io/project/overview?id=Roche_the-ambassador)
[![Last Commit](https://img.shields.io/github/last-commit/Roche/the-ambassador/master?style=flat-square)](https://github.com/Roche/the-ambassador/commits/master)
[![Commit activity](https://img.shields.io/github/commit-activity/m/Roche/the-ambassador?style=flat-square)](https://github.com/Roche/the-ambassador/pulse)
[![Project license](https://img.shields.io/github/license/Roche/the-ambassador.svg?style=flat-square)](LICENSE)

[![Pull Requests welcome](https://img.shields.io/badge/PRs-welcome-bc36f0.svg?style=flat-square)](https://github.com/Roche/the-ambassador/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22)
[![code with love by Roche](https://img.shields.io/badge/%3C%2F%3E%20with%20%E2%99%A5%20by-Roche-0B41CD.svg?style=flat-square)](https://github.com/Roche)

</div>

<details open="open">
<summary>Table of Contents</summary>

- [✨ About](#about)
  * [💡 Motivation](#motivation)
  * [🔥 Features](#features)
  * [🚧 Built With](#built-with)
- [🚀 Getting Started](#getting-started)
- [☁️ Deploying](#deploying)
- [⌨️️ Contributing](#contributing)
- [👨‍💻 👩‍💻 Contributors](#contributors)

</details>

## <a id="about"></a> ✨ About

The Ambassador helps users of coding platforms to create findable, well maintained,
properly documented and secure projects. It's purpose is to promote creating
Open Source and InnerSource software, that others can rely on.
It measures project scores (criticality, activity, scorecard), proactively advises projects
and provides a handy API for querying indexed and rated projects.

### <a id="motivation"></a> 💡 Motivation

- Automate analysis of quality posture of software projects
- Proactively notify projects' about potential improvements they can implement
- Help build a community of professionals openly sharing code
- Rate projects that are following good Open and InnerSource practices
- Discover dependencies between projects, packages, people and organizations

It is inspired by [OSSF Security Scorecard](https://github.com/ossf/scorecard),
[InnerSource Patterns](https://github.com/InnerSourceCommons/InnerSourcePatterns)
and... life 😄

### <a id="features"></a> 🔥 Features

- calculating projects' criticality, activity and security scores
- full text search of projects to easily find important and interesting projects
- indexing history, enabling users to see how their projects changed over time
- customizable indexing criteria
- handful API
- GitLab support
- authentication using OAuth2

More to come, including:
- advising projects through pull requests and issues how they can improve
- discovering dependency trees of software packages, contributors, collaborators and organizations
- multi-source support, allowing indexing projects from multiple coding platforms, including GitHub and Bitbucket
- give badges to projects
- webcomponents to easily embed projects search on your own page
- simple, standalone UI providing advanced search and visualization capabilities
  of indexed projects
- cloud-native deployment on Kubernetes

### <a id="built-with"></a> 🚧 Built With

- Kotlin
- Spring Boot
- PostgreSQL
- jOOQ
- Gradle
- Docker

## <a id="getting-started"></a> 🚀 Getting Started

To be added soon...

## <a id="deploying"></a> ☁️ Deploying

To be added soon...

## <a id="contributing"></a> ⌨️️ Contributing

First off, thanks for taking the time to contribute! Contributions are what make the open-source community such
an amazing place to learn, inspire, and create. Any contributions you make will benefit everybody else and are **greatly appreciated**.

Please read [our contribution guidelines](CONTRIBUTING.md), and thank you for being involved!

## <a id="contributors"></a> 👨‍💻 👩‍💻 Contributors

<!-- readme: contributors -start -->
<table>
<tr>
    <td align="center">
        <a href="https://github.com/filipowm">
            <img src="https://avatars.githubusercontent.com/u/20795389?v=4" width="100;" alt="Roche"/>
            <br />
            <sub><b>Mateusz Filipowicz</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/renovate-bot">
            <img src="https://avatars.githubusercontent.com/u/25180681?v=4" width="100;" alt="renovate-bot"/>
            <br />
            <sub><b>WhiteSource Renovate</b></sub>
        </a>
    </td></tr>
</table>
<!-- readme: contributors -end -->